#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hosc
version:              0.21.1
visibility:           public
id:                   hosc-0.21.1-5yeoOeJNVRm8Mhd94W94kx
key:                  hosc-0.21.1-5yeoOeJNVRm8Mhd94W94kx
license:              GPL-3.0-only
copyright:            (c) Rohan Drape, Stefan Kersten and others, 2007-2024
maintainer:           rd@rohandrape.net
author:               Rohan Drape, Stefan Kersten
stability:            Experimental
homepage:             http://rohandrape.net/t/hosc
synopsis:             Haskell Open Sound Control
description:
    Haskell library implementing the Open Sound Control protocol

category:             Sound
abi:                  56f519616a652a2dd09a9cf50fd9455b
exposed:              True
exposed-modules:
    Sound.Osc Sound.Osc.Coding.Byte Sound.Osc.Coding.Cast
    Sound.Osc.Coding.Convert Sound.Osc.Coding.Decode.Base
    Sound.Osc.Coding.Decode.Binary Sound.Osc.Coding.Encode.Base
    Sound.Osc.Coding.Encode.Builder Sound.Osc.Core Sound.Osc.Datum
    Sound.Osc.Fd Sound.Osc.Packet Sound.Osc.Text Sound.Osc.Time
    Sound.Osc.Time.System Sound.Osc.Time.Thread
    Sound.Osc.Time.Thread.MonadIO Sound.Osc.Time.Timeout
    Sound.Osc.Transport.Fd Sound.Osc.Transport.Fd.Socket
    Sound.Osc.Transport.Fd.Tcp Sound.Osc.Transport.Fd.Udp
    Sound.Osc.Transport.Monad Sound.Osc.Wait

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hosc-0.21.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hosc-0.21.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hosc-0.21.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hosc
hs-libraries:         HShosc-0.21.1-5yeoOeJNVRm8Mhd94W94kx
depends:
    base-4.17.2.1 binary-0.8.9.1
    blaze-builder-0.4.2.3-1WUo1omsOYUH2PSkelI6MS bytestring-0.11.5.3
    network-3.1.4.0-9bVsfPqpsd7CxIY0XrmbxB parsec-3.1.16.1
    safe-0.3.21-3aPy1cID9GoCwrfvvfrCZC time-1.12.2 transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-hosc/html/hosc.haddock
haddock-html:         /usr/share/doc/haskell-hosc/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

